.product-category-card {
  background: #fff;
  border-radius: var(--radius-md);
  box-shadow: var(--shadow-xs);
  padding: var(--spacing-md) var(--spacing-md) 0;
  position: relative;
  display: flex;
  flex-direction: column;
  gap: var(--spacing-sm);
  overflow: hidden;
  height: 100%;
  transition: transform 0.2s, box-shadow 0.2s;

  &:hover {
    transform: translateY(-2px);
    box-shadow: var(--shadow-sm);
  }
}

.product-category-card__content {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-xs);
}

.product-category-card__title {
  font: var(--typography-title-small);
  font-weight: 700;
  margin: 0;
  overflow-wrap: break-word;
  hyphens: auto;

  .product-category-card--has-metadata & {
    font: var(--typography-body-medium);
    font-weight: 700;
  }
}

.product-category-card__metadata {
  display: none;
  font: var(--typography-label-medium);
  color: var(--color-text-disabled, #9e9e9e);

  @media (min-width: 768px) {
    display: block;
  }
}

.product-category-card__media {
  margin: auto calc(var(--spacing-md) * -1) 0;
}

.product-category-card__image {
  display: block;
  width: 100%;
  height: auto;
  object-fit: contain;
}

.product-category-card__link {
  --link-color: var(--color-text);

  &::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
  }
}
